[debian-edu-commits] [Git][debian-edu/debian-edu-config][master] 7 commits: Adjust sbin/debian-edu-pxeinstall now that the homeworld theme is available

Wolfgang Schweer gitlab at salsa.debian.org
Thu Dec 10 08:51:10 GMT 2020



Wolfgang Schweer pushed to branch master at Debian Edu / debian-edu-config


Commits:
4b7dd292 by Wolfgang Schweer at 2020-12-10T09:07:48+01:00
Adjust sbin/debian-edu-pxeinstall now that the homeworld theme is available

Signed-off-by: Wolfgang Schweer <wschweer at arcor.de>

- - - - -
1c5c06ac by Wolfgang Schweer at 2020-12-10T09:11:32+01:00
Improve sbin/debian-edu-ltsp-install

Add one more explanation to the script header, thanks Holger.

Replace condition for NFS export configuration in case of a combined server.
This will fix the setup if the script is executed inside the Debian Installer.

Signed-off-by: Wolfgang Schweer <wschweer at arcor.de>

- - - - -
f2dcba7a by Wolfgang Schweer at 2020-12-10T09:16:26+01:00
Correct image type description in share/man/man8/debian-edu-ltsp-install.8

Signed-off-by: Wolfgang Schweer <wschweer at arcor.de>

- - - - -
9e9f739b by Wolfgang Schweer at 2020-12-10T09:20:58+01:00
Add bin/debian-edu-copy-pki targeting roaming workstations (Closes: #951071)

The issues mentionend in the Bug report are now cared for via policy files
for Firefox ESR, Thunderbird and Chromium.
The self signed Debian Edu server certificate has been the only problem left for
roaming workstations (in case a program uses the PKI infrastructure).

Signed-off-by: Wolfgang Schweer <wschweer at arcor.de>

- - - - -
4f4fd850 by Wolfgang Schweer at 2020-12-10T09:34:13+01:00
Add man page share/man/man1/debian-edu-copy-pki.1

Signed-off-by: Wolfgang Schweer <wschweer at arcor.de>

- - - - -
b453fa8c by Wolfgang Schweer at 2020-12-10T09:35:11+01:00
Adjust Makefile

Signed-off-by: Wolfgang Schweer <wschweer at arcor.de>

- - - - -
6e152820 by Wolfgang Schweer at 2020-12-10T09:48:41+01:00
Add changelog entries for last commits

Signed-off-by: Wolfgang Schweer <wschweer at arcor.de>

- - - - -


7 changed files:

- Makefile
- + bin/debian-edu-copy-pki
- debian/changelog
- sbin/debian-edu-ltsp-install
- sbin/debian-edu-pxeinstall
- + share/man/man1/debian-edu-copy-pki.1
- share/man/man8/debian-edu-ltsp-install.8


Changes:

=====================================
Makefile
=====================================
@@ -2,7 +2,8 @@ PACKAGE = debian-edu-config
 
 PROGS = \
 	debian-edu-ldapserver \
-	update-ini-file
+	update-ini-file \
+	debian-edu-copy-pki
 
 SPROGS = debian-edu-fsautoresize \
 	debian-edu-ltsp-install \


=====================================
bin/debian-edu-copy-pki
=====================================
@@ -0,0 +1,23 @@
+#!/bin/sh
+#
+# On a roaming workstation, the local user's home directory is missing the .pki
+# directory causing a question about the self-signed Debian Edu web server
+# certificate if Chromium is used.
+# Upon first login, a user can open a terminal window and execute this command
+# to copy the whole PKI directory from the main server. 
+
+# schweer, 2020-12-08
+
+set -e
+if [ -e /etc/debian-edu/config ] ; then
+	. /etc/debian-edu/config
+fi
+
+if ! echo "$PROFILE" | grep -Eq 'Roaming-Workstation' ; then
+		echo "This isn't a roaming workstation, nothing done."
+	else
+		if [ ! -d $HOME/.pki ] ; then
+			scp -rq $USER at tjener:~/.pki $HOME
+			echo "The PKI files have been copied from the main server."
+		fi
+fi


=====================================
debian/changelog
=====================================
@@ -1,3 +1,21 @@
+debian-edu-config (2.11.39) UNRELEASED; urgency=medium
+
+  * Add bin/debian-edu-copy-pki targeting roaming workstations (Closes: #951071)
+    The issues mentionend in the Bug report are now cared for via policy files
+    for Firefox ESR, Thunderbird and Chromium.
+    The self signed Debian Edu server certificate has been the only problem left
+    for roaming workstations (in case a program uses the PKI infrastructure).
+  * Add man page share/man/man1/debian-edu-copy-pki.1.
+  * Improve sbin/debian-edu-ltsp-install:
+    - Add one more explanation to the script header, thanks Holger.
+    - Replace condition for NFS export configuration in case of a combined
+      server. This will fix the setup if the script is executed inside the
+      Debian Installer.
+  * share/man/man8/debian-edu-ltsp-install: Correct image type description.
+  * sbin/debian-edu-pxeinstall: use the now available homeworld theme.
+
+ -- Wolfgang Schweer <wschweer at arcor.de>  Thu, 10 Dec 2020 09:36:49 +0100
+
 debian-edu-config (2.11.38) unstable; urgency=medium
 
   [ Wolfgang Schweer ]


=====================================
sbin/debian-edu-ltsp-install
=====================================
@@ -2,6 +2,11 @@
 #
 # Configure a Debian Edu system with 'LTSP-Server' profile' for both diskless
 # workstations and also thin clients (using X2Go).
+
+# LTSP has been re-written in 2019. LTSP5 has been discontinued and isn't available
+# any longer in the Debian archive, the known tools are gone. This script takes care
+# for the special Debian Edu requirements.
+
 # The configuration below applies to a Debian Edu machine in the internal
 # backbone network with two NICs. This system needs to be registered w/ GOsa² in
 # case it isn't the main server (i.e. a 'combined' server).
@@ -12,7 +17,7 @@
 # Author/Copyright:	Wolfgang Schweer <wschweer at arcor.de>
 # Licence:		GPL2+
 # first edited:	2019-11-21
-# last edited:	2020-12-02
+# last edited:	2020-12-09
 
 set -e
 
@@ -500,7 +505,7 @@ fi
 sed -i '/ltsp/d' /etc/exports
 
 # Adjust NFS exports for separate LTSP servers.
-if [ ! -d /srv/nfs4/home0 ] ; then
+if ! echo "$PROFILE" | grep -Eq 'Main-Server' ; then
 	rm -f /etc/exports.d/edu.exports
 fi
 


=====================================
sbin/debian-edu-pxeinstall
=====================================
@@ -182,7 +182,7 @@ for arch in $archs ; do
 			cd new
 			unmkinitramfs $tftpdir/debian-installer/$arch/initrd.gz .
 			if grep -q sid /etc/debian_version ; then
-				cp /usr/share/pixmaps/debian-edu-buster-installer-logo.png usr/share/graphics/logo_debian.png
+				cp /usr/share/pixmaps/debian-edu-homeworld-installer-logo.png usr/share/graphics/logo_debian.png
 			else
 				cp /usr/share/pixmaps/debian-edu-$dist-installer-logo.png usr/share/graphics/logo_debian.png
 			fi


=====================================
share/man/man1/debian-edu-copy-pki.1
=====================================
@@ -0,0 +1,15 @@
+.TH DEBIAN-EDU-COPY-PKI 1 "December 2020" "Debian Edu" "Debian Edu User Tools"
+
+.SH NAME
+debian-edu-copy-pki - copy user's PKI files from the Debian Edu main server
+
+.SH SYNOPSIS
+.B debian-edu-copy-pki
+
+.SH DESCRIPTION
+This script is useful on roaming workstations. The user's "$HOME/.pki" directory on the main server is copied to the local home directory.
+.TP
+This way, all programs relying on the PKI infrastructure (like e.g. Chromium) will accept Debian Edu self signed certificates.
+
+.SH AUTHORS
+Debian Edu Team, https://blends.debian.org/edu


=====================================
share/man/man8/debian-edu-ltsp-install.8
=====================================
@@ -1,7 +1,7 @@
 .TH DEBIAN-EDU-LTSP-INSTALL 8 "December 2020" "Debian Edu" "Debian Edu Admin Tools"
 
 .SH NAME
-debian-edu-ltsp-install - setup, configure and manage LTSP chroot and NBD image
+debian-edu-ltsp-install - setup, configure and manage LTSP chroot and SquashFS image
 
 .SH SYNOPSIS
 .B debian-edu-ltsp-install --arch <amd64|i386> --dist <stable|testing|sid> --dns_server <10.0.2.2|dns server ip> --diskless_workstation <yes|no> --thin_type <bare|display|desktop>



View it on GitLab: https://salsa.debian.org/debian-edu/debian-edu-config/-/compare/bb4673c77f9128ba44f06fd9f893d415e15a223b...6e1528204ae54e12b0a50c185be88680616c5ed4

-- 
View it on GitLab: https://salsa.debian.org/debian-edu/debian-edu-config/-/compare/bb4673c77f9128ba44f06fd9f893d415e15a223b...6e1528204ae54e12b0a50c185be88680616c5ed4
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-edu-commits/attachments/20201210/ed7904a1/attachment-0001.html>


More information about the debian-edu-commits mailing list